<?php

/**
 * PAYONE Magento 2 Connector is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PAYONE Magento 2 Connector is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with PAYONE Magento 2 Connector. If not, see <http://www.gnu.org/licenses/>.
 *
 * PHP version 5
 *
 * @category  Payone
 * @package   Payone_Magento2_Plugin
 * @author    FATCHIP GmbH <support@fatchip.de>
 * @copyright 2003 - 2016 Payone GmbH
 * @license   <http://www.gnu.org/licenses/> GNU Lesser General Public License
 * @link      http://www.payone.de
 */

namespace Payone\Core\Service\V1\Data;

use Payone\Core\Api\Data\AddresscheckResponseInterface;

/**
 * Object for addresscheck WebApi response
 */
class AddresscheckResponse extends \Magento\Framework\Api\AbstractExtensibleObject implements AddresscheckResponseInterface
{
    /**
     * Returns the shipping carrier title.
     *
     * @return bool
     */
    public function getSuccess()
    {
        return $this->_get('success');
    }

    /**
     * Returns the corrected address
     *
     * @return \Magento\Quote\Api\Data\AddressInterface
     */
    public function getCorrectedAddress()
    {
        return $this->_get('correctedAddress');
    }

    /**
     * Returns errormessage
     *
     * @return string
     */
    public function getErrormessage()
    {
        return $this->_get('errormessage');
    }

    /**
     * Return confirm message
     *
     * @return string
     */
    public function getConfirmMessage()
    {
        return $this->_get('confirmMessage');
    }
}
